Bug 430648 - user-defined printer/job policies not working
user-defined printer/job policies not working
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cups (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 05:14 EST by Martin Sedler
Modified: 2009-01-20 16:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 2319 None None None Never

  None (edit)
Description Martin Sedler 2008-01-29 05:14:46 EST
Description of problem:
user-defined printer/job policies not working

Version-Release number of selected component (if applicable):
cups-1.2.4-11.14.el5_1.3

How reproducible:
Completely.

Steps to Reproduce:
1. Configure one machine as a print server,
   and create in /etc/cups/cupsd.conf a user-defined printer/job policy like 
   f.e.

<Policy isg>
  #  administration operations
  <Limit Pause-Printer Resume-Printer Set-Printer-Attributes Enable-Printer
Disable-Printer Pause-Printer-After-Current-Job Hold-New-Jobs R
elease-Held-New-Jobs Deactivate-Printer Activate-Printer Restart-Printer
Shutdown-Printer Startup-Printer Promote-Job Schedule-Job-After CU
PS-Add-Printer CUPS-Delete-Printer CUPS-Add-Class CUPS-Delete-Class
CUPS-Accept-Jobs CUPS-Reject-Jobs CUPS-Set-Default>
    AuthType Basic
    Require user @SYSTEM msedtest testuser
    Order allow,deny
  </Limit>
</Policy>


2. Configure in /etc/cups/printers.conf a printer with the userdefined policy
   like f.e.

<Printer IFW_ISG_HP>
Info IFW B26 Niche - HP LaserJet 4250DTN
Location IFW B26 Niche
DeviceURI tea4cups:socket://lp-7695.inf.ethz.ch
State Idle
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy isg
ErrorPolicy stop-printer
</Printer>


3. Open a browser on a external maschine and contact the printer server by
http://printserver:631 . Try admin operations like Stop/Start Printer as an
external or local user (in my example msedtest and testuser).

Actual results:
Operations in this constellation are not working.

Expected results:
Operations in this constellation should work.

Additional info:
I patched cups-1.2.4-11.14.el5_1.3.src.rpm with str2319.patch from
http://www.cups.org/str.php?L2319+P0+S1+C0+I0+E0+M10+Q2319
and made a rpmbuild. The installation of this new rpm solved the problem.
Comment 3 Phil Knirsch 2008-04-30 11:48:13 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-06-02 16:20:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Martin Sedler 2008-09-08 10:07:14 EDT
(In reply to comment #4)
> This request was evaluated by Red Hat Product Management for inclusion in a Red
> Hat Enterprise Linux maintenance release.  Product Management has requested
> further review of this request by Red Hat Engineering, for potential
> inclusion in a Red Hat Enterprise Linux Update release for currently deployed
> products.  This request is not yet committed for inclusion in an Update
> release.

Any news regarding this problem? We cannot offer our new cups-server without this policy-feature.

Regards
Martin
Comment 8 Tim Waugh 2008-09-08 11:54:26 EDT
Martin: this bug fix has engineering approval and we hope to have a fix available for the next update release.
Comment 11 errata-xmlrpc 2009-01-20 16:59:14 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0201.html

Note You need to log in before you can comment on or make changes to this bug.